std::__detail::_Compiler< _TraitsT >(3cxx)

NAME
std::__detail::_Compiler< _TraitsT > - Builds an NFA from an input iterator range.

SYNOPSIS

#include <regex_compiler.h>

  Public Types

typedef _TraitsT::char_type _CharT
typedef regex_constants::syntax_option_type _FlagT
typedef const _CharT * _IterT
typedef _NFA< _TraitsT > _RegexT

  Public Member Functions

_Compiler (_IterT __b, _IterT __e, const typename _TraitsT::locale_type &__traits, _FlagT __flags)
shared_ptr< const _RegexT > _M_get_nfa ()

Detailed Description

  template<typename _TraitsT>
class std::__detail::_Compiler< _TraitsT >"Builds an NFA from an input iterator range.

The _TraitsT type should fulfill requirements [28.3].

Definition at line 57 of file regex_compiler.h.

Member Typedef Documentation

  template<typename _TraitsT > typedef _TraitsT::char_type std::__detail::_Compiler< _TraitsT >::_CharT

Definition at line 60 of file regex_compiler.h.

  template<typename _TraitsT > typedef regex_constants::syntax_option_type std::__detail::_Compiler< _TraitsT >::_FlagT

Definition at line 63 of file regex_compiler.h.

  template<typename _TraitsT > typedef const _CharT* std::__detail::_Compiler< _TraitsT >::_IterT

Definition at line 61 of file regex_compiler.h.

  template<typename _TraitsT > typedef _NFA<_TraitsT> std::__detail::_Compiler< _TraitsT >::_RegexT

Definition at line 62 of file regex_compiler.h.

Constructor & Destructor Documentation

  template<typename _TraitsT > std::__detail::_Compiler< _TraitsT >::_Compiler (_IterT __b, _IterT __e, const typename _TraitsT::locale_type & __traits, _FlagT __flags)

Definition at line 65 of file regex_compiler.tcc.

Member Function Documentation

  template<typename _TraitsT > shared_ptr< const _RegexT > std::__detail::_Compiler< _TraitsT >::_M_get_nfa () [inline]

Definition at line 69 of file regex_compiler.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.